import { createAction, props } from '@ngrx/store';

import { LoginResponse } from '@ucap-webmessenger/protocol-authentication';

export const agreeConfirmationNotNeeded = createAction(
  '[Account::Privacy] Agree Confirmation not needed'
);

export const agreeConfirmationYes = createAction(
  '[Account::Privacy] Agree Confirmation Yes',
  props<{
    loginInfo: LoginResponse;
  }>()
);

export const agreeConfirmationNo = createAction(
  '[Account::Privacy] Agree Confirmation No'
);

export const agreeSuccess = createAction('[Account::Privacy] Agree Success');

export const agreeFailure = createAction(
  '[Account::Privacy] Agree Failure',
  props<{ error: any }>()
);
